org.appng.taglib.form

## Class FormConfirmation

- java.lang.Object
- - javax.servlet.jsp.tagext.TagSupport
  - - javax.servlet.jsp.tagext.BodyTagSupport
    - - org.appng.taglib.form.FormConfirmation

- All Implemented Interfaces:
    Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag, ParameterOwner

      public class FormConfirmation
      extends javax.servlet.jsp.tagext.BodyTagSupport
      implements ParameterOwner

  This class represents the part of a form that is used to confirm and process the form input data. Usually something like "Thank you for your message" is displayed. The form data is being processed by a `FormProcessProvider` or a `FormProcessProvider`. See `Form` for more details. Attributes:
  - application - the name of the `Application` that contains the `FormProcessProvider`
  - method - the name of the bean implementing `FormProcessProvider`
  - mode - the display mode of the tag's body content. The default is `submitted`, meaning the body content is only being displayed if the form has been submitted. If the body content should always be displayed, use `always`.
  Author:
    Matthias Herlitzius, Matthias Müller
  See Also:
    `Form`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport

      `bodyContent`

    - ### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

      `id, pageContext`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FormConfirmation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addParameter(String name, String value)`
    `int` | `doAfterBody()`
    `int` | `doEndTag()`
    `protected void` | `doProcess()`
    `int` | `doStartTag()`
    `String` | `getApplication()`
    `Form` | `getForm()`
    `String` | `getMethod()`
    `void` | `release()`
    `void` | `setApplication(String application)`
    `void` | `setMethod(String method)`
    `void` | `setMode(String mode)`
    `protected void` | `writeBodyContent(FormConfirmation.FormConfirmationMode mode)`

    - ### Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport

      `doInitBody, getBodyContent, getPreviousOut, setBodyContent`

    - ### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

      `findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### FormConfirmation

          public FormConfirmation()

  - ### Method Detail

    - #### doStartTag

          public int doStartTag()
                         throws javax.servlet.jsp.JspException

      Specified by:
        `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `doStartTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
      Throws:
        `javax.servlet.jsp.JspException`

    - #### getForm

          public Form getForm()

    - #### doAfterBody

          public int doAfterBody()
                          throws javax.servlet.jsp.JspException

      Specified by:
        `doAfterBody` in interface `javax.servlet.jsp.tagext.IterationTag`
      Overrides:
        `doAfterBody` in class `javax.servlet.jsp.tagext.BodyTagSupport`
      Throws:
        `javax.servlet.jsp.JspException`

    - #### doProcess

          protected void doProcess()
                            throws javax.servlet.jsp.JspException

      Throws:
        `javax.servlet.jsp.JspException`

    - #### writeBodyContent

          protected void writeBodyContent(FormConfirmation.FormConfirmationMode mode)
                                   throws javax.servlet.jsp.JspException

      Throws:
        `javax.servlet.jsp.JspException`

    - #### doEndTag

          public int doEndTag()
                       throws javax.servlet.jsp.JspException

      Specified by:
        `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `doEndTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
      Throws:
        `javax.servlet.jsp.JspException`

    - #### release

          public void release()

      Specified by:
        `release` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `release` in class `javax.servlet.jsp.tagext.BodyTagSupport`

    - #### addParameter

          public void addParameter(String name,
                                   String value)

      Specified by:
        `addParameter` in interface `ParameterOwner`

    - #### getApplication

          public String getApplication()

    - #### setApplication

          public void setApplication(String application)

    - #### getMethod

          public String getMethod()

    - #### setMethod

          public void setMethod(String method)

    - #### setMode

          public void setMode(String mode)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.